<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__dma__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_dma_cfg_t</compoundname>
    <includes local="no">cyhal_dma.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__dma__cfg__t_1addcfd22935f15ed7fd86990afb2d8fe5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_dma_cfg_t::src_addr</definition>
        <argsstring />
        <name>src_addr</name>
        <briefdescription>
<para>Source address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="164" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="164" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1a82383d2bf599937a55503e744b70a0bf" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cyhal_dma_cfg_t::src_increment</definition>
        <argsstring />
        <name>src_increment</name>
        <briefdescription>
<para>Source address auto increment amount in multiples of transfer_width. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="165" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="165" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1a4652fecb04594b84b09b07bee308e32a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_dma_cfg_t::dst_addr</definition>
        <argsstring />
        <name>dst_addr</name>
        <briefdescription>
<para>Destination address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="166" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="166" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1ac294f82b4a288c8d9ad084b3a6e9a26e" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cyhal_dma_cfg_t::dst_increment</definition>
        <argsstring />
        <name>dst_increment</name>
        <briefdescription>
<para>Destination address auto increment amount in multiples of transfer_width. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="167" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="167" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1ae5b6698dfc754dc0ca497842681ce7ef" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_dma_cfg_t::transfer_width</definition>
        <argsstring />
        <name>transfer_width</name>
        <briefdescription>
<para>Transfer width in bits. Valid values are: 8, 16, or 32. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="168" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="168" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1aa7fbd97e22cee8fd0079fe27479f00c1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_dma_cfg_t::length</definition>
        <argsstring />
        <name>length</name>
        <briefdescription>
<para>Number of elements to be transferred in total. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="169" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="169" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1ab9a976a59ce1acea9c281337c290d229" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_dma_cfg_t::burst_size</definition>
        <argsstring />
        <name>burst_size</name>
        <briefdescription>
<para>Number of elements to be transferred per trigger. If set to 0 every element is transferred, otherwise burst_size must evenly divide length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="170" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="170" />
      </memberdef>
      <memberdef id="structcyhal__dma__cfg__t_1a17a6575e0901cce49fdf8b7da8f2130d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__dma_1ga05291825b0a7c7b9a92373ec53342b7a">cyhal_dma_transfer_action_t</ref></type>
        <definition>cyhal_dma_transfer_action_t cyhal_dma_cfg_t::action</definition>
        <argsstring />
        <name>action</name>
        <briefdescription>
<para>Sets the behavior of the channel when triggered (using start_transfer). Ignored if burst_size is not configured. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="171" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="171" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration of a DMA channel. </para>    </briefdescription>
    <detaileddescription>
<para>When configuring address, increments, and transfer width keep in mind your hardware may have more stringent address and data alignment requirements. </para>    </detaileddescription>
    <location bodyend="172" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="162" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="163" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__dma__cfg__t_1a17a6575e0901cce49fdf8b7da8f2130d" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>action</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1ab9a976a59ce1acea9c281337c290d229" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>burst_size</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1a4652fecb04594b84b09b07bee308e32a" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>dst_addr</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1ac294f82b4a288c8d9ad084b3a6e9a26e" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>dst_increment</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1aa7fbd97e22cee8fd0079fe27479f00c1" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>length</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1addcfd22935f15ed7fd86990afb2d8fe5" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>src_addr</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1a82383d2bf599937a55503e744b70a0bf" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>src_increment</name></member>
      <member prot="public" refid="structcyhal__dma__cfg__t_1ae5b6698dfc754dc0ca497842681ce7ef" virt="non-virtual"><scope>cyhal_dma_cfg_t</scope><name>transfer_width</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>